Skip to main content
GET
/
api
/
sol
/
perp
/
wallets
/
{address}
/
perp-pnl
Wallet perp PnL aggregate
curl --request GET \
  --url 'https://ca.raze.sh/api/sol/perp/wallets/{address}/perp-pnl?apiKey='
{
  "address": "<string>",
  "data": [
    {
      "market_id": "<string>",
      "venue": "<string>",
      "long_size": 123,
      "short_size": 123,
      "volume_usd_e6": 123,
      "fees_paid_e6": 123,
      "gross_pnl_e6": 123,
      "net_pnl_e6": 123,
      "first_fill_ts": 123,
      "last_fill_ts": 123
    }
  ],
  "count": 123,
  "note": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.raze.bot/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apiKey
string
query
required

Path Parameters

address
string
required

Response

200 - application/json

Success

address
string
data
object[]
count
integer
note
string